RefreshNodesRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: RefreshNodesRequestPBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class RefreshNodesRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.RefreshNodesRequestPBImpl

@Private @Unstable public class RefreshNodesRequestPBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RefreshNodesRequestPBImpl()`
  `RefreshNodesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `Integer`
  `getDecommissionTimeout()`
  `org.apache.hadoop.yarn.api.records.DecommissionType`
  `getDecommissionType()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto`
  `getProto()`
  `String`
  `getSubClusterId()`
  `int`
  `hashCode()`
  `void`
  `setDecommissionTimeout(Integer timeout)`
  `void`
  `setDecommissionType(org.apache.hadoop.yarn.api.records.DecommissionType decommissionType)`
  `void`
  `setSubClusterId(String subClusterId)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest

  `newInstance, newInstance, newInstance, newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RefreshNodesRequestPBImpl

    public RefreshNodesRequestPBImpl()

  - ### RefreshNodesRequestPBImpl

    public RefreshNodesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.RefreshNodesRequestProto getProto()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### setDecommissionType

    public void setDecommissionType(org.apache.hadoop.yarn.api.records.DecommissionType decommissionType)
    Specified by:
      `setDecommissionType` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

  - ### getDecommissionType

    public org.apache.hadoop.yarn.api.records.DecommissionType getDecommissionType()
    Specified by:
      `getDecommissionType` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

  - ### setDecommissionTimeout

    public void setDecommissionTimeout(Integer timeout)
    Specified by:
      `setDecommissionTimeout` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

  - ### getDecommissionTimeout

    public Integer getDecommissionTimeout()
    Specified by:
      `getDecommissionTimeout` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

  - ### getSubClusterId

    public String getSubClusterId()
    Specified by:
      `getSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`

  - ### setSubClusterId

    public void setSubClusterId(String subClusterId)
    Specified by:
      `setSubClusterId` in class `org.apache.hadoop.yarn.server.api.protocolrecords.RefreshNodesRequest`